package classUtils.pack.util.ant;



/**
 * User: lyon
 * Date: May 18, 2004
 * Time: 10:38:11 AM
 */
public class TestPack {
    public static void main(String[] args) {
        //packTask();
        dependency(ip.Main.class);
    }

    private static void packTask() {
        pack(dhry.Main.class);
        pack(addBk.AddressBook.Main.class);
        pack(pavlik.AffineImagePanel.class);
        pack(classUtils.pack.util.ant.TestPack.class);
        pack(ip.Main.class);
    }

    public static void pack(Class c) {
        String name = c.getName();
        pack(name, name + ".jar");
    }

    public static void dependency(Class mainClass) {
        String name1 = ip.Main.class.getName();
        Pack p1 = new Pack();
        p1.setManifestMainClass(name1);
        p1.setClasses(name1);
        p1.setTargetJar(name1 + ".jar");
        p1.execute();
        p1.printDependencies();

    }

    public static void pack(String mainClass, String targetJar) {
        Pack p = new Pack();
        p.setManifestMainClass(mainClass);
        p.setClasses(mainClass);
        p.setTargetJar(targetJar);
        p.execute();
        System.out.println("done with:" + targetJar);
    }
}
