package sound.musica;


//import sound.Utils;

import javax.sound.midi.Synthesizer;
import java.awt.*;


public class MusicaMain extends MusicaKeyProcessor {
    static class MouseFrame extends Frame {
        MouseFrame() {
            setSize(200, 200);
            setVisible(true);
            MusicMouseListener mp = new MusicMouseListener();
            MusicaKeyProcessor kp
                    = new MusicaKeyProcessor();
            addMouseMotionListener(mp);
            addMouseListener(mp);
            addKeyListener(kp);
        }
    }

    public static void main(String args[]) {
        MouseFrame mf = new MouseFrame();
        for (int i = 0; i < 127; i++)
            System.out.println(i + "=" + (char) i + " "+ i%12);

    }

    public static void testNote() {
        int nNoteNumber = 64;	// MIDI key number
        int nVelocity = 127;   //0..127
        int nDuration = 500;   // ms
        Synthesizer synth = Utils.getSynthesizer();
        Utils.play(synth, nNoteNumber, nVelocity, nDuration);
    }

}